Bug 886177 - configure yum-plugin-priorities
Summary: configure yum-plugin-priorities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 2.0 (Folsom)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Martin Magr
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On: 893146
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 17:15 UTC by Derek Higgins
Modified: 2013-01-29 11:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 886178 893146 (view as bug list)
Environment:
Last Closed: 2013-01-29 11:09:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:0204 0 normal SHIPPED_LIVE OpenStack 2012.2 Folsom Preview bug fix and enhancement update 2013-01-29 16:08:59 UTC

Description Derek Higgins 2012-12-11 17:15:59 UTC
openstack-packstack needs to configure the openstack yum repository to have a higher priority then EPEL. 

If installed RHOS should have a higher priority.

Comment 3 Alan Pevec 2013-01-10 09:51:50 UTC
(In reply to comment #2)
> Implemented in
> https://github.com/fedora-openstack/packstack/commit/
> 481758e448dc1f397b50fb1c6a393f6ef14367ed

> # lower priority of EPEL repository

You don't need to change EPEL priority, default priority is 99[1]
just need to make sure RHOS repo has a lower value.

http://docs.fedoraproject.org/en-US/Fedora/14/html/Software_Management_Guide/ch06s14.html

Comment 5 Alan Pevec 2013-01-16 08:31:11 UTC
(In reply to comment #3)
> You don't need to change EPEL priority, default priority is 99[1]
> just need to make sure RHOS repo has a lower value.

From 886178 comment 2, all you need to do is:
$ openstack-config --set /etc/yum.repos.d/redhat.repo rhel-server-ost-6-folsom-rpms priority 1

Comment 6 Martin Magr 2013-01-16 08:51:32 UTC
Oh ok, will rewrite it then.

Comment 8 Nir Magnezi 2013-01-24 13:34:51 UTC
Verified With: openstack-packstack-2012.2.2-0.5.dev318.el6ost.noarch
Used packstack witn an answers file. Set CONFIG_REPO with the repository path
When packstack finished, check /etc/yum.repos.d/

# cat packstack_0.repo 

[packstack_0]
name=packstack_0
baseurl=http://download.eng.tlv.redhat.com/pub/rhel/rel-eng/OpenStack/Folsom/2013-01-21.2/x86_64/os/
enabled=1
priority=1
gpgcheck=0

Comment 10 errata-xmlrpc 2013-01-29 11:09:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-0204.html


Note You need to log in before you can comment on or make changes to this bug.